## qt4-x11 4.7.0

=== debian/changelog ===
qt4-x11 (4:4.7.0-0ubuntu4.2common0upicek1unity2d1charlotte1) lucid; urgency=low

  * Enable NEON and OpenGLES support.

 -- Michael Frey <michael.frey@canonical.com>  Wed, 20 Apr 2011 14:13:18 -0400

qt4-x11 (4:4.7.0-0ubuntu4.2common0upicek1unity2d1) lucid; urgency=low

  * Import from upicek

 -- Alex Chiang <achiang@canonical.com>  Tue, 08 Feb 2011 16:02:38 -0700

qt4-x11 (4:4.7.0-0ubuntu4.2common0upicek1) maverick; urgency=low

  Rebase of previous patch by Florian Boucault:
  * mkspecs/common/g++.conf: Build with -Os
  * Added configure flag in order to reduce RAM and on-disk footprints:
    -no-stl
  * Reduce RAM and on-disk footprints by:
    - Deactivating build of xmlpatterns
    - Adding configure flag -no-exceptions (deactivating exceptions breaks
      building of xmlpatterns)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 01 Dec 2010 13:26:54 -0200

qt4-x11 (4:4.7.0-0ubuntu4.2) maverick-proposed; urgency=low

  * disable NEON on armel builds (LP: #664431)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 21 Oct 2010 14:45:54 +0200

qt4-x11 (4:4.7.0-0ubuntu4) maverick; urgency=low

  * Fix Lucid -> Maverick upgrade (LP: #652029)
    - libqt4-help replaces libqtcore4 (<< 4:4.7.0)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 03 Oct 2010 04:14:04 +0200

qt4-x11 (4:4.7.0-0ubuntu3) maverick; urgency=low

  [ Jonathan Riddell ]
  * Add kubuntu_19_gtkstyle_inactive_background.diff recommended by
    upstream, fixes http://bugreports.qt.nokia.com/browse/QTBUG-13792
    'GTK style: Wrong foreground color for selected item when unfocused'
  * Add kubuntu_20_gtkstyle_tabwidget_focus.diff recommended by
    upstream, fixes http://bugreports.qt.nokia.com/browse/QTBUG-14161
    'Tab focus incorrectly drawn with Ubuntu Ambience theme'

  [ Jonathan Thomas ]
  * Add kubuntu_21_fix_phantom_cursor.diff to fix a problem visible in
    several KDE applications (such as Konversation, KPackageKit, and KOrg, to
    name a few) where the cursor would disappear after attempting to paste
    something (http://bugreports.qt.nokia.com/browse/QTBUG-6185)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 01 Oct 2010 11:59:23 +0100

qt4-x11 (4:4.7.0-0ubuntu2) maverick; urgency=low

  * Add kubuntu_18_fix_qtreeview_regression.diff
    (http://bugreports.qt.nokia.com/browse/QTBUG-13567
     https://bugs.kde.org/show_bug.cgi?id=246997)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 26 Sep 2010 19:34:58 +0200

qt4-x11 (4:4.7.0-0ubuntu1) maverick; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Enable 11_build_translations.diff

  [ Jonathan Riddell ]
  * Update kubuntu_15_appmenu.diff from Aurelien Gateau, LP: #643393

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 22 Sep 2010 21:33:24 +0200

qt4-x11 (4:4.7.0~rc1+git20100917-0ubuntu1) maverick; urgency=low

  * New upstream git snapshot
    - Fix FTBS
    - Refresh patches
    - Update install files
    - Update symbol files 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 17 Sep 2010 08:12:23 +0200

qt4-x11 (4:4.7.0~rc1+git20100916-0ubuntu1) maverick; urgency=low

  * New upstream git snapshot
    - Refresh patches
    - Removed 0001_webkit_self_injection_into_qt_configuration.patch
      fixed by upstream
    - Update install files
    - Update symbol files

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 15 Sep 2010 18:57:09 +0200

qt4-x11 (4:4.7.0~rc1-1ubuntu3) maverick; urgency=low

  * Build QtWebkit so QtAssistant is able to link against it. (LP: #624697)
    We don't actually package QtWebkit here but make qt4-dev-tools depend on
    the binary-compatible libqtwebkit4 package.
    - add kubuntu_17_enable_qtwebkit_for_qtassistant.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 14 Sep 2010 15:48:41 +0200

qt4-x11 (4:4.7.0~rc1-1ubuntu2) maverick; urgency=low

  * Update kubuntu_15_appmenu.diff from Aurelien Gateau, fixes memory
    leaks, patch 20100909

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Sep 2010 15:26:42 +0100

qt4-x11 (4:4.7.0~rc1-1ubuntu1) maverick; urgency=low

  [ Felix Geyer ]
  * Merge with Debian git (unreleased), remaining changes:
    - Do not package firebird and ibase packages, remove from debian/rules and
      debian/control
    - libqt4-sql-ibase not recommend for libqt4-sql
    - libqtgui4: suggest, not recommend, qt4-qtconfig
    - Build with -no-phonon
    - Do not package libqt4-phonon
    - Build packages with lzma compression using the dh addon from pkg-kde-tools
    - Rules to remove po dir in clean
    - Add MessagesQt.sh
    - Rules to create Messages.sh link to MessagesQt.sh and rules to create po
      dir and exectue extract-messages.sh in common-install-prehook-impl
    - Rules to remove Messages.sh link
    - Make libqt4-dev depend on libx11-dev
    - In debian/rules Set DEB_HOST_ARCH and
      DEB_HOST_ARCH_OS. Configure with "-arch armv6" option on ARM
    - Disable the Qt OpenVG module
    - Add Kubuntu patches:
      - kubuntu_08_add_missing_bold_style.diff
      - kubuntu_09_use_ft_glyph_embolden_to_fake_bold.diff
      - kubuntu_10_ibus_input_method.diff
      - kubuntu_12_fix_stack_protector.diff
      - kubuntu_15_appmenu.diff
  * Drop kubuntu_16_qx11embed.diff, applied upstream.
  * Adapt kubuntu_15_appmenu.diff to new upstream version.

  [ Jonathan Riddell ]
  * Add kubuntu_16_qt-designer-toplevel-mode-menubar.diff from Aurelien
    Gateau to keep designer working with global menu when in toplevel
    mode

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 03 Sep 2010 13:32:37 +0100

qt4-x11 (4:4.7.0~rc1-1) experimental; urgency=low

  * New upstream release.
  * Remove 0001_add_webkit_qt_config.patch in favor of
    0001_webkit_self_injection_into_qt_configuration.patch.
  * Update debian/control:
    - bump Standards-Version to 3.9.1 (no changes needed).
    - add libopenvg1-mesa-dev build dependency.
    - add libqt4-openvg package.

