## qt4-x11 4.7.2

=== debian/changelog ===
qt4-x11 (4:4.7.2-0ubuntu6) natty; urgency=low

  * SECURITY UPDATE: Fake SSL certificates produced by Comodo, LP: #742377
  * Update kubuntu_30_blacklist_ssl_certificates.diff from upstream staging
    - in qsslsocket_openssl.cpp block bad certificates
    - http://qt.gitorious.org/+qt-developers/qt/staging/commit/b87528a71b66e786c11804d7b79e408aae612748
    - http://bugreports.qt.nokia.com/browse/QTBUG-18338
    - http://www.comodo.com/Comodo-Fraud-Incident-2011-03-23.html

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Mar 2011 17:31:29 +0000

qt4-x11 (4:4.7.2-0ubuntu5) natty; urgency=low

  * libqtgui4 recommends appmenu-qt, LP: #733309
  * SECURITY UPDATE: Fake SSL certificates produced by Comodo, LP: #742377
    - Add kubuntu_30_blacklist_ssl_certificates.diff from upstream staging, lists
      and blocks known bad certificates
    - http://qt.gitorious.org/+qt-developers/qt/staging/commit/04e074e8d7c097295505e63565abdc7ca2b49f7b
    - http://bugreports.qt.nokia.com/browse/QTBUG-18338
    - http://www.comodo.com/Comodo-Fraud-Incident-2011-03-23.html

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Mar 2011 17:31:55 +0000

qt4-x11 (4:4.7.2-0ubuntu4) natty; urgency=low

  [ Felix Geyer ]
  * Drop accidentally added debian-changes-4:4.7.2-0ubuntu1 patch.

  [ Scott Kitterman ]
  * Rebuild again to get rid of gcc4.4 on armel now that pkg-kde-tools has
    been reverted to use gcc4.5 too

 -- Scott Kitterman <scott@kitterman.com>  Sun, 13 Mar 2011 12:26:39 -0400

qt4-x11 (4:4.7.2-0ubuntu3) natty; urgency=low

  * Stop forcing Qt4 on ARM to build against gcc-4.4 (drop build-dep and
    related rules changes)
  * Replace Debian Vcs-* fields in Ubuntu Vcs-* in debian/control

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Mar 2011 16:26:52 -0500

qt4-x11 (4:4.7.2-0ubuntu2) natty; urgency=low

  * debian/patches/kubuntu_02_neon_flags.patch: Pass -mfpu=neon to
    files that use NEON instructions, fix ARM FTBFS.
  * debian/patches/kubuntu_23_arm_memory_barriers.patch: Make ARM
    atomic operations SMP-safe by adding memory barriers. Backported
    from Qt master branch.

 -- Jani Monoses <jani@ubuntu.com>  Fri, 04 Mar 2011 14:53:00 +0200

qt4-x11 (4:4.7.2-0ubuntu1) natty; urgency=low

  [ Jonathan Riddell ]
  * New upstream release
  * Remove 17_add_postgresql_8.3_support.diff now upstream
  * Remove 22_use___GLIBC__.diff now upstream
  * Remove kubuntu_19_gtkstyle_inactive_background.diff now upstream
  * Remove kubuntu_20_gtkstyle_tabwidget_focus.diff now upstream
  * Remove kubuntu_25_qsortfilterproxymodel.diff now upstream

  [ Chase Douglas ]
  * If no widget is found on touch begin, stop processing touch (LP:
    #725959)

  [ Felix Geyer ]
  * Add kubuntu_29_egl_qglcontext_stubs.diff to retain ABI/API compatibility
    when Qt is built with EGL support. (LP: #707794)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 03 Mar 2011 10:51:40 +0000

qt4-x11 (4:4.7.1-0ubuntu12) natty; urgency=low

  * Fix kubuntu_28_xi2.1.patch, use double instead of casting to qreal

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Feb 2011 22:15:06 +0000

qt4-x11 (4:4.7.1-0ubuntu11) natty; urgency=low

  [ Felix Geyer ]
  * Explicitly disable EGL support on all architectures except ARM. The last
    version accidentally enabled it as libegl1-mesa-dev was pulled in.
    (LP: #724867)

  [ Jonathan Riddell ]
  * Cast use of double in kubuntu_28_xi2.1.patch to fix FTBFS on armel.

  [ Ricardo Salveti de Araujo ]
  * Changing OpenGL backend from GL to GLES 2 for ARM (LP: #707794)

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 25 Feb 2011 14:21:36 +0100

qt4-x11 (4:4.7.1-0ubuntu10) natty; urgency=low

  * Add multitouch support through preliminary XInput 2.1
    - Add debian/patches/kubuntu_28_xi2.1.patch
    - Add build dependency on new libxi-dev with XInput 2.1 support

 -- Chase Douglas <chase.douglas@ubuntu.com>  Wed, 23 Feb 2011 10:59:05 -0500

qt4-x11 (4:4.7.1-0ubuntu9) natty; urgency=high

  * Force Qt4 on ARM to build against gcc-4.4 due to compiler regression in
    gcc 4.5 (LP: #713452)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Mon, 07 Feb 2011 12:11:02 -0800

qt4-x11 (4:4.7.1-0ubuntu8) natty; urgency=low

  * Add kubuntu_26_dbusconnection_pointer.diff,
    kubuntu_27_dbus_signal_filter_passes_not_handled.diff from Qt 4.8
    to add a way to obtain the DBusConnection* pointer from a
    QDBusConnection.  Requested by Ryan Lortie

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Jan 2011 20:37:32 +0000

qt4-x11 (4:4.7.1-0ubuntu7) natty; urgency=low

  [ Scott Kitterman ]
  * Drop debian/patches/kubuntu_01_volatile_bit_fields.diff, no longer needed

  [ Jonathan Riddell ]
  * Add kubuntu_24_large_qtreeview.diff by David Faure, fix crash when
    using large lists in KPackageKit
  * Add kubuntu_25_qsortfilterproxymodel.diff requested by David Jarvie
    for KAlarm from http://qt.gitorious.org/qt/qt/merge_requests/934
  * Update kubuntu_15_appmenu.diff with 20110111 from Aurelien Gateau
    this version loads plugins for menubars and gets rid of the dbusmenu-qt
    code duplication

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Jan 2011 00:07:51 +0000

qt4-x11 (4:4.7.1-0ubuntu6) natty; urgency=low

  * No-change rebuild against fixed pkg-create-dbgsym. (LP: #669430)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 31 Dec 2010 15:33:39 +0100

qt4-x11 (4:4.7.1-0ubuntu5) natty; urgency=low

  * Add debian/patches/kubuntu_91_fix_qtextedit_selectall_crash.patch to fix
    http://bugreports.qt.nokia.com/browse/QTBUG-15659

 -- Kristóf Kiszel <ulysses@kubuntu.org>  Fri, 10 Dec 2010 08:53:24 +0100

qt4-x11 (4:4.7.1-0ubuntu4) natty; urgency=low

  * Add debian/patches/kubuntu_01_volatile_bit_fields.diff to work around gcc
    bug (LP 675347) and fix FTBFS on armel

 -- Scott Kitterman <scott@kitterman.com>  Thu, 18 Nov 2010 11:40:25 -0500

qt4-x11 (4:4.7.1-0ubuntu3) natty; urgency=low

  * Further fixes to kubuntu_23_syncqt_no_timestamp_change.diff


