=== debian/control ===
--- 
+++ 
@@ -12,15 +12,16 @@
  libgles2-mesa-dev [armel] | libgles2-dev [armel],
  libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libgtk2.0-dev,
  libice-dev, unixodbc-dev, libjpeg-dev, libmng-dev, libmysqlclient-dev,
+# libopenvg1-mesa-dev,
  libpam0g-dev, libpng12-dev, libpq-dev, libreadline-dev, libsm-dev,
  libsqlite0-dev, libsqlite3-dev, libtiff4-dev, libx11-dev, libxcursor-dev,
- libxext-dev, libxft-dev, libxi-dev, libxinerama-dev, libxmu-dev,
+ libxext-dev, libxft-dev, libxi-dev (>= 2:1.4.1-1ubuntu1), libxinerama-dev, libxmu-dev,
  libxrandr-dev, libxrender-dev, libxslt1-dev, libxt-dev, libxtst-dev,
  libxv-dev, zlib1g-dev, freetds-dev
 Standards-Version: 3.9.1
 Homepage: http://www.qtsoftware.com
-Vcs-Git: git://git.debian.org/pkg-kde/qt4-x11.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/qt4-x11.git;a=summary
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/qt/ubuntu
+Vcs-Browser:  http://bazaar.launchpad.net/~kubuntu-members/qt/ubuntu
 
 Package: libqtcore4
 Architecture: any
@@ -53,6 +54,7 @@
  qt4-designer (<< 4.1.4), libqt4-designer (<< 4.4.0~beta1-1)
 Replaces: libqt4-core (<< 4.0.1-3), libqt4-gui (<< 4.4.0),
  qt4-designer (<< 4.1.4), libqt4-designer (<< 4.4.0~beta1-1)
+Recommends: appmenu-qt
 Description: Qt 4 GUI module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -243,6 +245,15 @@
  The QtXml module provides a stream reader and writer for XML documents,
  and C++ implementations of SAX and DOM.
 
+Package: libqt4-xmlpatterns
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Qt 4 XML patterns module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ QtXmlPatterns is a XQuery and XPath engine for XML and custom data models.
+
 Package: libqt4-dbus
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -283,15 +294,3 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- The QtDesigner module provides classes that allow you to create your own
- custom widget plugins for Qt Designer, and classes that enable you to access
- Qt Designer's components.
-
-Package: libqt4-help
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libqtcore4 (<< 4:4.7.0)
-Description: Qt 4 help module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
