=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,8 @@
 #Kubuntu addition for armv6
 ifeq ($(DEB_HOST_ARCH),armel)
 	extra_configure_opts += -arch armv6 -opengl es2
+else
+	extra_configure_opts += -no-egl
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -55,7 +57,7 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with pkgkde_symbolshelper,lzma
 
 override_dh_auto_configure:
 	# Test broken hppa kernel with glibc >= 2.5
@@ -103,7 +105,7 @@
 	            -plugin-sql-sqlite2 \
 	            -plugin-sql-tds \
 	            -system-sqlite \
-	            -no-xmlpatterns \
+	            -xmlpatterns \
 	            -no-multimedia \
 	            -audio-backend \
 	            -no-phonon \
@@ -120,19 +122,18 @@
 	            -system-libjpeg \
 	            -no-rpath \
 	            -optimized-qmake \
-	            -dbus \
+	            -dbus-linked \
 	            -no-separate-debug-info \
 	            -verbose \
 	            -gtkstyle \
 	            -system-nas-sound \
+	            -no-openvg \
 	            -lfontconfig \
 	            -I/usr/include/freetype2 \
 	            -qvfb \
-	            -no-exceptions \
-	            -no-stl \
 	            $(extra_configure_opts)
 
-	# set the version of QtWebkit but don't add it to QT_CONFIG
+	# Kubuntu addition: set the version of QtWebkit but don't add it to QT_CONFIG
 	sed 's/QT_CONFIG.*//' src/3rdparty/webkit/WebKit/qt/qt_webkit_version.pri > mkspecs/modules/qt_webkit_version.pri
 
 override_dh_auto_build:
@@ -247,5 +248,3 @@
 	install -D -p -m0644 debian/desktop/linguist-qt4.desktop \
 		debian/qt4-dev-tools/usr/share/applications/linguist-qt4.desktop
 	install -D -p -m0644 debian/desktop/assistant.png \
-		debian/qt4-dev-tools/usr/share/pixmaps/assistant.png
-	install -D -p -m0644 debian/desktop/linguist.png \
